Retrieves the job_estimated_quantity with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "4bde4151-2a3e-40fa-9b91-6fc88e54e10b",
"estimated_quantity": 2.0,
"article_id": "67c093ac-01d3-41e5-b33a-9e6e3dfe8ee5",
"article_code": "sample string 4",
"article": {
"id": "7ba87095-c1c6-4106-970e-7bc5125c7d79",
"article_category_id": "49bb0078-50f5-43e6-9300-317a3b57bac1",
"article_category": {
"id": "9a4d2358-b5f6-4d94-8f6b-322b5680a127",
"parent_id": "10864586-6944-4561-8e14-bda75b37bf0c",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "7b7090c3-849d-4170-bb8c-0023cce10708",
"article_group_1_code": "sample string 5",
"article_group_2_id": "090a495a-e772-4ef1-8ef4-9ce4f8dad088",
"article_group_2_code": "sample string 7",
"article_group_3_id": "5eb53370-67ea-4ef5-b649-51b0bb06b54c",
"article_group_3_code": "sample string 9",
"article_group_4_id": "70495f58-6f9b-41e5-a9af-8e68a31c31ea",
"article_group_4_code": "sample string 11",
"article_group_5_id": "4c0c44e2-2a59-4ad6-9dbf-7e51aefdd76e",
"article_group_5_code": "sample string 13",
"article_group_6_id": "8493f7e1-6776-42c3-b172-765c6041aca4",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-10T16:46:22.4704917+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-10T16:46:22.4704917+00:00",
"date_update": "2026-11-10T16:46:22.4704917+00:00",
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00",
"article_color_id": "7131900a-876d-4365-9522-1c9522e2dc01",
"article_color_code": "sample string 38",
"article_color": {
"id": "c47c1608-04bb-442d-b4b2-141b0ef5d4c1",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "759da624-0924-4a6f-9b8a-2e37ae7a8ed8",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "30536ba2-2605-4d61-9dd0-c4cc643c9bf8",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "ade5bcdd-f171-42ab-9f39-a02767db9b77",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "17211bb0-efc0-443b-af05-ec1bdb392a19",
"_parent_id": "86b67725-cde0-4535-8224-dd8c203f35d0",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "345aedf2-1e0a-4d95-83a0-12ef3dffd8cf",
"project_reference_back_office": "sample string 5",
"project": {
"id": "62abe0e0-bd9d-40f0-857f-e1f2cc97e9f1",
"_parent_id": "311d845b-66d9-4e46-84af-ed1e17f8e0be",
"root_parent_id": "85fe512e-807c-4248-97ba-089a8527bf11",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "e8e09044-6b3c-40c3-9eaf-ca3e20d73074",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "9b929ba9-f08d-4e01-871e-7f6f96dde489",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "d59ab960-9725-4ef7-8709-b3d6cd67ed27",
"_parent_code": "sample string 6",
"sales_organization_id": "a824dded-ac71-4949-903d-ae8fed516001",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "3f4b7ec6-c059-4a2c-9a11-f91815a1770b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b06ed049-c559-45a0-bea2-68cb2d79f37c",
"db_currency_id": "dbd753ea-ed98-484a-94fe-419b7c9da7ba",
"db_language_id": "aa27c999-0cfb-4bcf-865c-fff87c491834",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00"
},
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00"
},
"equipment_model_id": "a4e18f3b-d490-453e-a040-6600763e06f0",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "8fdb357b-00bd-4487-bd8a-895061439215",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "d4071d78-9614-4543-9e04-9556c0a4c64c",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "9c2b0196-af6c-428a-b48e-03058a7af1a2",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "be9df36d-68d2-4537-950a-e1743beaf77a",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "3f4b7ec6-c059-4a2c-9a11-f91815a1770b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b06ed049-c559-45a0-bea2-68cb2d79f37c",
"db_currency_id": "dbd753ea-ed98-484a-94fe-419b7c9da7ba",
"db_language_id": "aa27c999-0cfb-4bcf-865c-fff87c491834",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00"
},
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00"
},
"equipment_family_id": "f2b2fe5d-4a5f-4be7-8b7b-84c429de2134",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "9b929ba9-f08d-4e01-871e-7f6f96dde489",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "d59ab960-9725-4ef7-8709-b3d6cd67ed27",
"_parent_code": "sample string 6",
"sales_organization_id": "a824dded-ac71-4949-903d-ae8fed516001",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "3f4b7ec6-c059-4a2c-9a11-f91815a1770b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b06ed049-c559-45a0-bea2-68cb2d79f37c",
"db_currency_id": "dbd753ea-ed98-484a-94fe-419b7c9da7ba",
"db_language_id": "aa27c999-0cfb-4bcf-865c-fff87c491834",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00"
},
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00"
},
"date_in_production_since": "2026-11-10T16:46:22.4704917+00:00",
"date_out_of_production_since": "2026-11-10T16:46:22.4704917+00:00",
"date_end_support": "2026-11-10T16:46:22.4704917+00:00",
"sales_organization_id": "75d9e08e-2275-4f48-987f-26e8cebd683a",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "3f4b7ec6-c059-4a2c-9a11-f91815a1770b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b06ed049-c559-45a0-bea2-68cb2d79f37c",
"db_currency_id": "dbd753ea-ed98-484a-94fe-419b7c9da7ba",
"db_language_id": "aa27c999-0cfb-4bcf-865c-fff87c491834",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00"
},
"project_status_id": "c552f328-8b94-4fa9-9765-3c4e8deed95c",
"project_status_code": "sample string 10",
"project_status": {
"id": "6acc49c4-7194-463a-8cc1-3bdee3731d90",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "0a25fd8b-f84e-490d-a9ae-79f084ea9492",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "3f4b7ec6-c059-4a2c-9a11-f91815a1770b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b06ed049-c559-45a0-bea2-68cb2d79f37c",
"db_currency_id": "dbd753ea-ed98-484a-94fe-419b7c9da7ba",
"db_language_id": "aa27c999-0cfb-4bcf-865c-fff87c491834",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00"
},
"company_id": "48354a52-c878-4ead-8a17-2d0cd2858b3d",
"company_code": "sample string 12",
"db_address_id": "5bc8f3d2-914c-4f54-bbac-85e23bbf800f",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "ac183bc1-9297-402c-8577-f06d58bd0735",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "087d47fd-c713-4154-a568-7aef7b766c14",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-10T16:46:22.4861093+00:00",
"date_create": "2026-11-10T16:46:22.4861093+00:00",
"date_update": "2026-11-10T16:46:22.4861093+00:00",
"updated_by_user_id": "7d644c87-9436-4f78-bf2a-1f6c24287063",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-10T16:46:22.4861093+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-10T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-10T16:46:22.4861093+00:00",
"date_last_job": "2026-11-10T16:46:22.4861093+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-10T16:46:22.4861093+00:00",
"modified_dateutc": "2026-11-10T16:46:22.4861093+00:00",
"is_mobile_installation": true
},
"job_type_id": "6f03db6b-1226-4eac-ab40-5b25a2fef103",
"job_type_code": "sample string 7",
"job_type": {
"id": "8e7b9b01-f086-472e-9c43-eeb29a7f310a",
"name": "sample string 2",
"sales_organization_id": "93c8065d-bf13-4db7-92a6-e827201bb339",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-10T16:46:22.4861093+00:00",
"code": "sample string 7"
},
"job_priority_id": "1e2c0e53-42a1-4ba9-9c9c-41405de29b5f",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "d0e1d876-3221-4475-bc08-5020a9a9cd6e",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "e154b19f-6195-4c98-943e-df10f055219c",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "3f4b7ec6-c059-4a2c-9a11-f91815a1770b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b06ed049-c559-45a0-bea2-68cb2d79f37c",
"db_currency_id": "dbd753ea-ed98-484a-94fe-419b7c9da7ba",
"db_language_id": "aa27c999-0cfb-4bcf-865c-fff87c491834",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-10T16:46:22.4861093+00:00"
},
"job_status_id": "76484b37-5671-4d07-b0b7-1bbaeb1d3384",
"job_status_code": "sample string 11",
"db_address_id": "34163741-0e54-4299-ac5f-cfe8ee84995d",
"contact_id": "a105280e-437f-4f9e-88ec-a6f82509c57e",
"requested_by_company_id": "653c6e41-1627-4b7a-8399-55c4a98bcc30",
"requested_by_contact_id": "bd8be342-6e06-499b-94e8-d0a47ec56722",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-10T16:46:22.4861093+00:00",
"due_date": "2026-11-10T16:46:22.4861093+00:00",
"date_create": "2026-11-10T16:46:22.4861093+00:00",
"date_update": "2026-11-10T16:46:22.4861093+00:00",
"date_closed": "2026-11-10T16:46:22.4861093+00:00",
"suggested_user_id": "c0840077-5b35-49f0-938c-f9adf69ebe89",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "09b25afc-d916-4c2e-a21f-c8bd2f010f69",
"db_language_id": "1f6fbc0b-c5d5-4b1e-b2a6-b50b2547eed3",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-10T16:46:22.4861093+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "11d5a4d6-570d-4b07-93d7-ef6941cc7fa7",
"sales_organization": {
"id": "3f4b7ec6-c059-4a2c-9a11-f91815a1770b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b06ed049-c559-45a0-bea2-68cb2d79f37c",
"db_currency_id": "dbd753ea-ed98-484a-94fe-419b7c9da7ba",
"db_language_id": "aa27c999-0cfb-4bcf-865c-fff87c491834",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "5334d3c0-3048-4628-aaf7-bed682bdf39d",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "52764891-1878-41f2-91c4-46a44903c55e",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-10T16:46:22.4861093+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "d88bbb3e-73a4-4815-b8b7-1a22b5f4cfdc"
},
"suggested_date_start": "2026-11-10T16:46:22.4861093+00:00",
"skill_id": "a67ccddf-6bf2-4db8-bf6a-550faf4a8f59",
"skill_code": "sample string 32",
"skill": {
"id": "8c19f4e7-e5eb-4377-a3b1-97bf19ea3eb3",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "f841836e-fefc-483c-bff3-c208a2a34b58",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "3f4b7ec6-c059-4a2c-9a11-f91815a1770b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b06ed049-c559-45a0-bea2-68cb2d79f37c",
"db_currency_id": "dbd753ea-ed98-484a-94fe-419b7c9da7ba",
"db_language_id": "aa27c999-0cfb-4bcf-865c-fff87c491834",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T16:46:22.4704917+00:00"
},
"modified_dateutc": "2026-11-10T16:46:22.4861093+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "e38641fb-fb93-4c6e-8f72-8ad771830951",
"date_reported_by_company": "2026-11-10T16:46:22.4861093+00:00",
"id2": 36,
"company_id": "4332115f-ad41-4c34-8cc3-ed1e0ec21b65",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "62a213c0-f3bf-4ea7-91fb-de8690ab45d2",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-10T16:46:22.4861093+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-10T16:46:22.4861093+00:00"
}